ActiveAdmin.register JamRuby::Teacher, :as => 'TeacherBackgroundCheck' do


  config.filters = false
  menu :label => 'Teacher Background Check', :parent => 'JamClass'



  form do |f|
    f.inputs 'Set Background Check' do
      f.input :background_check_at, as: :date_select
    end
    f.actions
  end


  index do
    column "Actions" do |teacher|
      links = ''.html_safe
      links << link_to("View", resource_path(teacher), :class => "member_link view_link")
      links << link_to("Edit", edit_resource_path(teacher), :class => "member_link edit_link")
      links
    end

    column 'User' do |oo|
      oo.user.email
    end
  end


end
